[fan]
pin: PA8


[stepper_x]
step_pin: PB13
dir_pin: !PB12
enable_pin: !PB14
endstop_pin: ^PC0

[tmc2209 stepper_x]
uart_pin: PB15
run_current: 0.580
hold_current: 0.500
stealthchop_threshold: 250
microsteps: 16


[stepper_y]
step_pin: PB10
dir_pin: !PB2
enable_pin: !PB11
endstop_pin: ^PC1

[tmc2209 stepper_y]
uart_pin: PC6
run_current: 0.580
hold_current: 0.500
stealthchop_threshold: 250
microsteps: 16


[stepper_z]
step_pin: PB0
dir_pin: PC5
enable_pin: !PB1
endstop_pin: ^PC2

[tmc2209 stepper_z]
uart_pin: PC10
microsteps: 16
run_current: 0.580
hold_current: 0.500
stealthchop_threshold: 5
microsteps: 16


[extruder]
step_pin: PB3
dir_pin: !PB4
enable_pin: !PD2
heater_pin: PC8
sensor_type: EPCOS 100K B57560G104F
sensor_pin: PA0
control: pid

[tmc2209 extruder]
uart_pin: PC11
microsteps: 16
run_current: 0.650
hold_current: 0.500
stealthchop_threshold: 5
microsteps: 16


[heater_bed]
heater_pin: PC9
sensor_type: ATC Semitec 104GT-2
sensor_pin: PC3
control: pid



[static_digital_output usb_pullup_enable]
pins: !PC13

[board_pins]
aliases:
    # EXP1 header
    EXP1_1=PB5, EXP1_3=PA9,   EXP1_5=PA10, EXP1_7=PB8, EXP1_9=<GND>,
    EXP1_2=PB6, EXP1_4=<RST>, EXP1_6=PB9,  EXP1_8=PB7, EXP1_10=<5V>

[endstop_phase]
